package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import com.ynet.life.sujrb.file.BatchPaySummary;
import com.ynet.life.sujrb.file.parser.BatchFileParserInterface;
import com.ynet.life.sujrb.file.parser.BatchPayParserFactory;
import java.util.Random;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/BatchTransferFileDownloadAction.class */
public class BatchTransferFileDownloadAction extends LifeAction {
    private String iCollName;
    private String type;
    private String fileTypeField;
    private String encoding;

    public String execute(Context context) throws GENEException {
        try {
            BatchPaySummary batchPaySummary = new BatchPaySummary();
            batchPaySummary.initFromContext(context, this.iCollName);
            String fileType = (String) context.get(this.fileTypeField);
            BatchFileParserInterface parser = BatchPayParserFactory.createParser(fileType);
            String filePathName = getFileName(fileType);
            parser.writeToFile(batchPaySummary, filePathName, this.encoding);
            context.put("downloadFile", filePathName);
            return "0";
        } catch (GENEException e) {
            Trace.logError("LifeAction", "解析代发文件异常", e);
            throw e;
        }
    }

    public String getFileName(String fileType) throws TranFailException {
        String rootPath = LifeStandard.getSelfDefineSettingsValue("tempDownloadDir");
        String folder = String.valueOf(LifeStandard.getServerTime("yyyyMMdd")) + LifeFile.DIR_SEPARATOR;
        LifeFile.makeMultiDirectory(rootPath, folder);
        String fileName = String.valueOf(LifeStandard.getServerTime("HHmmssSSS")) + new Random().nextInt(1000) + '.' + fileType;
        return String.valueOf(rootPath) + folder + fileName;
    }

    public void setICollName(String collName) {
        this.iCollName = collName;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setFileTypeField(String fileTypeField) {
        this.fileTypeField = fileTypeField;
    }

    public void setEncoding(String encoding) {
        this.encoding = encoding;
    }
}
